> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withsutro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept an invitation



## OpenAPI

````yaml /uapi.yaml post /invitations/accept
openapi: 3.1.0
info:
  version: 0.0.1
  title: User management API
  description: This API is for managing organization members and builders for the Sutro API
servers: []
security: []
tags:
  - name: configuration
    description: Configuration of the platform for your members and builders
  - name: members
    description: >-
      Members are the individuals that a Customer wants to provide with access
      to the Sutro Console
  - name: builders
    description: >-
      Builders are a Customer's users; they are the ones who are building apps
      with a Customer's platform
  - name: certificates
    description: >-
      Certificates are use for signing & verifying access tokens, as well as for
      securing mTLS connections
  - name: api_clients
    description: API Clients must be registered and associated with an mTLS certificate
paths:
  /invitations/accept:
    post:
      tags:
        - members
      summary: Accept an invitation
      operationId: acceptInvitation
      requestBody:
        $ref: '#/components/requestBodies/AcceptInvitation'
      responses:
        '200':
          description: The accepted member and password reset redirect URL
          content:
            application/json:
              schema:
                type: object
                required:
                  - member
                  - passwordResetRedirectUrl
                properties:
                  member:
                    $ref: '#/components/schemas/Member'
                  passwordResetRedirectUrl:
                    type: string
                    format: uri
components:
  requestBodies:
    AcceptInvitation:
      required: true
      content:
        application/json:
          schema:
            type: object
            required:
              - token
              - emailAddress
              - customerId
            properties:
              token:
                type: string
              emailAddress:
                type: string
                format: email
              customerId:
                type: string
                format: uuid
  schemas:
    Member:
      type: object
      required:
        - id
        - username
        - email
        - customerId
        - fullName
        - role
        - onboardingCompleted
      properties:
        id:
          type: string
          format: uuid
        username:
          type: string
        email:
          type: string
          format: email
        customerId:
          type: string
          format: uuid
        fullName:
          type: string
        role:
          type: string
        onboardingCompleted:
          type: boolean

````